Package org.eclipse.m2m.atl.drivers.uml24atl

## Class Invocation

- java.lang.Object
- - org.eclipse.m2m.atl.drivers.uml24atl.Invocation

    public class Invocation
    extends java.lang.Object

Stores an UML specific invocation method.

### Constructor Summary

Constructors
`Invocation​(StackFrame frame, ASMUMLModelElement self, java.lang.String opName, java.util.List arguments)` Creates a new delayed Invocation.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List` `getArguments()`
`StackFrame` `getFrame()`
`java.lang.String` `getOpName()`
`ASMUMLModelElement` `getSelf()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Invocation

    public Invocation​(StackFrame frame,
                      ASMUMLModelElement self,
                      java.lang.String opName,
                      java.util.List arguments)

Creates a new delayed Invocation.

Parameters:
  `frame` - the frame context
  `self` - the model element caller
  `opName` - the operation name
  `arguments` - the operation arguments

### Method Detail

#### getFrame

    public StackFrame getFrame()

#### getSelf

    public ASMUMLModelElement getSelf()

#### getOpName

    public java.lang.String getOpName()

#### getArguments

    public java.util.List getArguments()